com.brightcove.player.mediacontroller.buttons

## Interface RemoteControlKeyState

- All Known Implementing Classes:
    AbstractButtonController, AudioTracksButtonController, CaptionsButtonController, CloseButtonController, FastForwardButtonController, FullScreenButtonController, LiveButtonController, PictureInPictureButtonController, PlayButtonController, PlayerOptionsButtonController, RewindButtonController, SeekButtonController, VRButtonController

      public interface RemoteControlKeyState

  Defines the interface to handle and react to the key events coming from the remote control, depending on the state of the media controller.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onBack(android.view.KeyEvent event)` On back key actioned
    `boolean` | `onDpadCenter(android.view.KeyEvent event)` On dpad center key actioned
    `boolean` | `onDpadDown(android.view.KeyEvent event)` On dpad down key actioned
    `boolean` | `onDpadLeft(android.view.KeyEvent event)` On dpad left key actioned
    `boolean` | `onDpadRight(android.view.KeyEvent event)` On dpad right key actioned
    `boolean` | `onDpadUp(android.view.KeyEvent event)` On dpad up key actioned
    `boolean` | `onFastForward(android.view.KeyEvent event)` On fast forward key actioned
    `boolean` | `onHome(android.view.KeyEvent event)` On home key actioned
    `boolean` | `onMenu(android.view.KeyEvent event)` On menu key actioned
    `boolean` | `onPause(android.view.KeyEvent event)` On pause key actioned
    `boolean` | `onPlay(android.view.KeyEvent event)` On play key actioned
    `boolean` | `onPlayPause(android.view.KeyEvent event)` On play pause key actioned
    `boolean` | `onRewind(android.view.KeyEvent event)` On rewind key actioned
    `boolean` | `onSkipBackward(android.view.KeyEvent event)` On skip backward key actioned
    `boolean` | `onSkipForward(android.view.KeyEvent event)` On skip forward key actioned

- - ### Method Detail

    - #### onDpadUp

          boolean onDpadUp(android.view.KeyEvent event)

      On dpad up key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onDpadDown

          boolean onDpadDown(android.view.KeyEvent event)

      On dpad down key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onDpadLeft

          boolean onDpadLeft(android.view.KeyEvent event)

      On dpad left key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onDpadRight

          boolean onDpadRight(android.view.KeyEvent event)

      On dpad right key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onDpadCenter

          boolean onDpadCenter(android.view.KeyEvent event)

      On dpad center key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onPlay

          boolean onPlay(android.view.KeyEvent event)

      On play key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onPause

          boolean onPause(android.view.KeyEvent event)

      On pause key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onPlayPause

          boolean onPlayPause(android.view.KeyEvent event)

      On play pause key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onFastForward

          boolean onFastForward(android.view.KeyEvent event)

      On fast forward key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onRewind

          boolean onRewind(android.view.KeyEvent event)

      On rewind key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onBack

          boolean onBack(android.view.KeyEvent event)

      On back key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onMenu

          boolean onMenu(android.view.KeyEvent event)

      On menu key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onHome

          boolean onHome(android.view.KeyEvent event)

      On home key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onSkipForward

          boolean onSkipForward(android.view.KeyEvent event)

      On skip forward key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.

    - #### onSkipBackward

          boolean onSkipBackward(android.view.KeyEvent event)

      On skip backward key actioned
      Parameters:
        `event` - the android.view.KeyEvent
      Returns:
        true if the key event was handled, false otherwies.